searchData={"items":[{"type":"module","title":"ReqGitHubOAuth","doc":"`Req` plugin for GitHub authentication.\n\nThe plugin authenticates requests to GitHub using [GitHub OAuth Device Flow](https://docs.github.com/en/developers/apps/building-oauth-apps/authorizing-oauth-apps#device-flow).\nThe GitHub OAuth it uses is:  .","ref":"ReqGitHubOAuth.html"},{"type":"function","title":"ReqGitHubOAuth.attach/2","doc":"Runs the plugin.","ref":"ReqGitHubOAuth.html#attach/2"},{"type":"function","title":"Examples - ReqGitHubOAuth.attach/2","doc":"req = Req.new(http_errors: :raise) |> ReqGitHubOAuth.attach()\n    Req.get!(req, url: \"https://api.github.com/user\").body[\"login\"]\n    # Outputs:\n    # paste this user code:\n    #\n    #   6C44-30A8\n    #\n    # at:\n    #\n    #   https://github.com/login/device\n    #\n    # open browser window? [Yn]\n    # 15:22:28.350 [info] response: authorization_pending\n    # 15:22:33.519 [info] response: authorization_pending\n    # 15:22:38.678 [info] response: success\n    #=> \"wojtekmach\"\n\n    Req.get!(req, url: \"https://api.github.com/user\").body[\"login\"]\n    #=> \"wojtekmach\"","ref":"ReqGitHubOAuth.html#attach/2-examples"},{"type":"extras","title":"ReqGitHubOAuth","doc":"# ReqGitHubOAuth\n\n[Req](https://github.com/wojtekmach/req) plugin for GitHub authentication.\n\nThe plugin authenticates requests to GitHub using [GitHub OAuth Device Flow](https://docs.github.com/en/developers/apps/building-oauth-apps/authorizing-oauth-apps#device-flow).\nThe GitHub OAuth it uses is:  .","ref":"readme.html"},{"type":"extras","title":"Usage - ReqGitHubOAuth","doc":"```elixir\nMix.install([\n  {:req, \"~> 0.3.0\"},\n  {:req_github_oauth, \"~> 0.1.0\"}\n])\n\nreq = Req.new(http_errors: :raise) |> ReqGitHubOAuth.attach()\nReq.get!(req, url: \"https://api.github.com/user\").body[\"login\"]\n# Outputs:\n# paste this user code:\n#\n#   6C44-30A8\n#\n# at:\n#\n#   https://github.com/login/device\n#\n# open browser window? [Yn]\n# 15:22:28.350 [info] response: authorization_pending\n# 15:22:33.519 [info] response: authorization_pending\n# 15:22:38.678 [info] response: success\n#=> \"wojtekmach\"\n\nReq.get!(req, url: \"https://api.github.com/user\").body[\"login\"]\n#=> \"wojtekmach\"\n```","ref":"readme.html#usage"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.1.2 (2025-06-26) - CHANGELOG","doc":"* Support Req v0.5.","ref":"changelog.html#v0-1-2-2025-06-26"},{"type":"extras","title":"v0.1.1 (2023-09-01) - CHANGELOG","doc":"* Support Req v0.4.","ref":"changelog.html#v0-1-1-2023-09-01"},{"type":"extras","title":"v0.1.0 (2022-08-24) - CHANGELOG","doc":"* Initial release","ref":"changelog.html#v0-1-0-2022-08-24"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}